# is430_console_helpers.py
# library module contains helpers for console input


def get_int_from_console(prompt_string='Please enter an int value, <Enter> to stop: '):
    valid_value_entered = False
    string_entered = input(prompt_string)

    while string_entered != '' and not valid_value_entered:
        try:
            valid_value = int(string_entered)
            valid_value_entered = True
        except ValueError:
            print(f'An integer value is required. You entered: {string_entered}')
            string_entered = input(prompt_string)

    if valid_value_entered:
        result = valid_value
    else:
        result = None
    return result


def get_float_from_console(prompt_string='Please enter a float value, <Enter> to stop: '):
    valid_value_entered = False
    string_entered = input(prompt_string)

    while string_entered != '' and not valid_value_entered:
        try:
            valid_value = float(string_entered)
            valid_value_entered = True
        except ValueError:
            print(f'A float value is required. You entered: {string_entered}')
            string_entered = input(prompt_string)

    if valid_value_entered:
        result = valid_value
    else:
        result = None
    return result
